Bug 138091 - crash when import foto
Summary: crash when import foto
Status: RESOLVED WORKSFORME
Alias: None
Product: digikam
Classification: Unclassified
Component: Database-Albums (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-29 14:54 UTC by dunar
Modified: 2017-08-16 13:09 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dunar 2006-11-29 14:54:54 UTC
Version:           0.9.0-rc1 (using KDE 3.5.5, Kubuntu (edgy) 4:3.5.5-0ubuntu3)
Compiler:          Target: i486-linux-gnu
OS:                Linux (i686) release 2.6.18-2-k7

(no debugging symbols found)
Using host libthread_db library "/lib/tls/i686/cmov/libthread_db.so.1".
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread -1241061712 (LWP 3421)]
[New Thread -1252553824 (LWP 3756)]
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
(no debugging symbols found)
0xb7f10410 in ?? ()
#0  0xb7f10410 in ?? ()
#1  0xbfef2da8 in ?? ()
#2  0x000000bc in ?? ()
#3  0x080627b8 in ?? ()
#4  0xb63bd37b in __write_nocancel () from /lib/tls/i686/cmov/libpthread.so.0
#5  0xb642cfde in _X11TransGetMyAddr () from /usr/lib/libX11.so.6
#6  0xb642cb2f in _X11TransWrite () from /usr/lib/libX11.so.6
#7  0xb64327f7 in _XSend () from /usr/lib/libX11.so.6
#8  0xb64337b0 in _XEventsQueued () from /usr/lib/libX11.so.6
#9  0xb641f262 in XPending () from /usr/lib/libX11.so.6
#10 0xb6878360 in QEventLoop::processEvents () from /usr/lib/libqt-mt.so.3
#11 0xb68ec25e in QEventLoop::enterLoop () from /usr/lib/libqt-mt.so.3
#12 0xb68ec06e in QEventLoop::exec () from /usr/lib/libqt-mt.so.3
#13 0xb68d3731 in QApplication::exec () from /usr/lib/libqt-mt.so.3
#14 0x0804a521 in main ()
Comment 1 caulier.gilles 2006-11-29 14:58:02 UTC
Your backtrace is not suitable. please compile digiKam with ./configure --enable-debug=full.

Witch Exiv2 release you use ? Duing several bug fix in this library fixed with 0.12 release, i recommend to update Exiv2 on your computer and try again.

Gilles Caulier
Comment 2 caulier.gilles 2006-12-12 09:25:13 UTC
Dunar, 
 
This crash still reproductible using digiKam/DigikamImagePlugins 0.9.0-RC2 and  Exiv2 0.12 ? 
 
Thanks in advance for your feedback. 
 
Gilles Caulier 
Comment 3 Viesturs Zarins 2007-01-13 20:07:16 UTC
I have similar crash on 
Gentoo with kde 3.5.5, digikam 0.9.0 and exiv2 0.12.

The import dialog appears fine and loads all image thumbnails, but when i press download, it crashes.

I tried importing the images again and now it worked fine, but asked if i want to overwrite the first image (it apparently had already copied it before crash).

My stack trace:

Using host libthread_db library "/lib/libthread_db.so.1".
`system-supplied DSO at 0xb7fbb000' has disappeared; keeping its symbols.
[Thread debugging using libthread_db enabled]
[New Thread -1238186320 (LWP 9764)]
[KCrash handler]
#6  0xb7fbb410 in __kernel_vsyscall ()
#7  0xb6363620 in raise () from /lib/libc.so.6
#8  0xb6364c80 in abort () from /lib/libc.so.6
#9  0xb6530040 in __gnu_cxx::__verbose_terminate_handler ()
   from /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6
#10 0xb652dae5 in std::set_unexpected ()
   from /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6
#11 0xb652db22 in std::terminate ()
   from /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6
#12 0xb652dc5a in __cxa_throw ()
   from /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6
#13 0xb652e07b in operator new ()
   from /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6
#14 0xb652e14d in operator new[] ()
   from /usr/lib/gcc/i686-pc-linux-gnu/4.1.1/libstdc++.so.6
#15 0xb6e612d4 in operator>> () from /usr/qt/3/lib/libqt-mt.so.3
#16 0xb71c3f99 in KProtocolInfo::load (this=0x8712928, _str=@0x8138448)
    at kprotocolinfo_kdecore.cpp:177
#17 0xb71c4373 in KProtocolInfo (this=0x8712928, _str=@0x8138448, 
    offset=1172417) at kprotocolinfo_kdecore.cpp:140
#18 0xb723d981 in KProtocolInfoFactory::createEntry (this=0x82e7ba0, 
    offset=1172417) at kprotocolinfofactory.cpp:52
#19 0xb71d7527 in KProtocolInfoFactory::findProtocol (this=0x82e7ba0, 
    protocol=@0xbfad1534) at kprotocolinfofactory.cpp:99
#20 0xb723deb2 in KProtocolInfo::uriParseMode (_protocol=@0xbfad1534)
    at kprotocolinfo_kdecore.cpp:500
#21 0xb723df48 in KURL::uriModeForProtocol (protocol=@0xbfad1534)
    at kurl.cpp:2344
#22 0xb723e017 in KURL::setProtocol (this=0xbfad1534, _txt=@0xbfad1568)
    at kurl.cpp:1940
#23 0xb7d67ad9 in Digikam::AlbumManager::slotDirty (this=0x8122990, 
    path=@0x8718778) at albummanager.cpp:1350
#24 0xb7da6e62 in Digikam::AlbumManager::qt_invoke (this=0x8122990, _id=4, 
    _o=0xbfad1644) at albummanager.moc:248
#25 0xb6b8ffa9 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#26 0xb6b90802 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#27 0xb772faf0 in KDirWatch::dirty (this=0x82bba40, t0=@0xbfad16f4)
    at kdirwatch.moc:95
#28 0xb772fc21 in KDirWatch::setDirty (this=0x82bba40, _file=@0xbfad16f4)
    at kdirwatch.cpp:1735
#29 0xb7730aa3 in KDirWatchPrivate::emitEvent (this=0x82bb428, e=0x82bcbb8, 
    event=137083376, fileName=@0x804c5e4) at kdirwatch.cpp:1267
#30 0xb776c579 in KDirWatchPrivate::slotRescan (this=0x82bb428)
    at kdirwatch.cpp:1364
#31 0xb776db84 in KDirWatchPrivate::qt_invoke (this=0x82bb428, _id=2, 
    _o=0xbfad1878) at kdirwatch_p.moc:88
#32 0xb6b8ffa9 in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#33 0xb6b90bfd in QObject::activate_signal () from /usr/qt/3/lib/libqt-mt.so.3
#34 0xb6ec36b9 in QTimer::timeout () from /usr/qt/3/lib/libqt-mt.so.3
#35 0xb6bb305e in QTimer::event () from /usr/qt/3/lib/libqt-mt.so.3
#36 0xb6b31427 in QApplication::internalNotify ()
   from /usr/qt/3/lib/libqt-mt.so.3
#37 0xb6b31fa1 in QApplication::notify () from /usr/qt/3/lib/libqt-mt.so.3
#38 0xb7237c0e in KApplication::notify (this=0xbfad1d48, receiver=0x82bb494, 
    event=0xbfad1b34) at kapplication.cpp:550
#39 0xb6b265c9 in QEventLoop::activateTimers ()
   from /usr/qt/3/lib/libqt-mt.so.3
#40 0xb6ae1c4c in QEventLoop::processEvents ()
   from /usr/qt/3/lib/libqt-mt.so.3
#41 0xb6b47b20 in QEventLoop::enterLoop () from /usr/qt/3/lib/libqt-mt.so.3
#42 0xb6b479a6 in QEventLoop::exec () from /usr/qt/3/lib/libqt-mt.so.3
#43 0xb6b30ebf in QApplication::exec () from /usr/qt/3/lib/libqt-mt.so.3
#44 0x0804a45a in main (argc=7, argv=0xbfad1f64) at main.cpp:269
#45 0xb635087c in __libc_start_main () from /lib/libc.so.6
#46 0x08049891 in _start ()
Comment 4 Arnd Baecker 2007-06-06 19:27:14 UTC
Could you maybe try 0.9.2-beta3 and exiv2 0.14 to see if
the problem has been fixed?

Many thanks in advance!
Comment 5 Arnd Baecker 2007-06-26 09:53:10 UTC
Closing this bug now. 
This does not mean it is invalid by itself, but
without updated information (with full debug gdb backtrace) 
using the current 0.9.2 version
it is not possible to find the root of the problem.

Please feel free to re-open if there is any new information.

Thanks a lot for your understanding, 

Arnd